/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.silab.domen;

import rs.silab.util.Konstante;
import rs.silab.util.Vrednost;

public class Krug implements GeometrijskiOblik {

    private double r;

    public Krug() {
    }

    public Krug(double r) {
        this.r = r;
    }

    public double getR() {
        return r;
    }

    public void setR(double r) {
        this.r = r;
    }

    @Override
    public double povrsina() {
        return r * r * Konstante.PI;
    }

    @Override
    public double obim() {
        return 2 * r * Konstante.PI;
    }

    @Override
    public void prikazi() {
        System.out.println(this);
    }

    @Override
    public String toString() {
        return "Krug: r = " + r;
    }

    @Override
    public void obim(Vrednost v) {
        v.setV(obim());
    }

}
